package com.jxml.quick.util.qjmlExpand;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCElements extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object coin)
		throws SAXException, IOException
	{
		QMElements dm=(QMElements)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		startElement("elements");

		doCvt(dm.contentList,coin);

		endElement("elements");
	}
}
